Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.jsb
Class ServiceBeanActivation

    java.lang.Object
      org.jini.rio.jsb.ServiceBeanActivation

    public class ServiceBeanActivation

extends Object

The ServiceBeanActivation class is a utility that provides bootstrap support for a ServiceBean

Nested Class Summary
`static class` | `ServiceBeanActivation.LifeCycleManager` Class that provides basic functionality to enable bootstrapping

Field Summary
`static String` | `BOOT_COMPONENT`
`static String` | `BOOT_CONFIG_COMPONENT`
`static String` | `BOOT_OPSTRING` Default name of the OperationalString name this utility adds for services it activates

Constructor Summary
`ServiceBeanActivation()`

Method Summary
`static ServiceBeanContext` | `getServiceBeanContext(String configComponent, String defaultServiceName, String[] configArgs, ClassLoader loader)` Create a ServiceBeanContext from the Configuration element

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BOOT_OPSTRING

    public static final String BOOT_OPSTRING

  Default name of the OperationalString name this utility adds for services it activates

  See Also:
    Constant Field Values

### BOOT_COMPONENT

    public static final String BOOT_COMPONENT

See Also:
  Constant Field Values

### BOOT_CONFIG_COMPONENT

    public static final String BOOT_CONFIG_COMPONENT

See Also:
  Constant Field Values

Constructor Detail

### ServiceBeanActivation

    public ServiceBeanActivation()

Method Detail

### getServiceBeanContext

    public static ServiceBeanContext getServiceBeanContext(String configComponent,
                                                           String defaultServiceName,
                                                           String[] configArgs,
                                                           ClassLoader loader)
                                                    throws Exception

  Create a ServiceBeanContext from the Configuration element

  Parameters:
    `configComponent` - The configuration component name of the ServiceBean to use when obtaining configuration attributes
    `defaultServiceName` - The default name of the service
    `configArgs` - Configuration for the ServiceBean
    `loader` - The ClassLoader which loaded the ServiceBean
  Returns:
    A ServiceBeanContext. A new ServiceBeanCOntext is created each time
  Throws:
    `Exception` - If a ServiceBeanContext cannot be created

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.